// -*- mode: c++ -*-
//
// $Id$
// 
#ifndef MAPTEST_MapTest
#define MAPTEST_MapTest
#ifndef ROOT_TGFrame
#include <TGFrame.h>
#endif 
#ifndef ROOT_TQObject
#include <TQObject.h>
#endif
#ifndef ROOT_TGButton
#include <TGButton.h>
#endif
#ifndef ROOT_TGImageMap
#include <TGImageMap.h>
#endif
#ifndef ROOT_TGPicture
#include <TGPicture.h>
#endif

class MapTest : public TGMainFrame  
{
private:
  TGLayoutHints*     fLHMap;
  TGLayoutHints*     fLHButton;  
  TGPicturePool*     fPicPool;
  TGTextButton*      fQuitButton;
  TGImageMap*        fImageMap; 
public:
  MapTest(const char* pname, const TGWindow *p, UInt_t w, UInt_t h);
  virtual ~MapTest();
  
  // Slots
  void CloseWindow();
  void DoButton();
  void DoOverRegion(Int_t);
  void DoMapClicked();

  ClassDef(MapTest,0) // Test of image map 
}
;

#endif
