//
// $Id$
// 
script() 
{
  gSystem->Load("libNested.so");

  // Make an instance of the nested class 
  Top::Nested n(5);
  n.IsA()->Print();
  cout << (n.IsA()->InheritsFrom("TObject") ? "Does" : "Doesn;t") 
       << " inherit from TObject" << endl;

  // Try the troublesome  TBuffer& operator>>(TBuffer&, Top::Nested&*)
  TBuffer b(TBuffer::kRead);
  b >> &n;
  
  // Try to stream the nested class 
  TFile* file = new TFile("file.root", "RECREATE");
  n.Write("nested");
  file->ls();
  file->Close();

  // An object of a class with a nested class 
  Top* top = new Top;

  // Try to add 10 object of the nested class to internal
  // TClonesArray. 
  for (int i = 0; i < 10; i++) {
    cout << "Adding a nsted class at " << top->GetN() << endl;
    top->AddNested(i + 10);
  }
  
  // See if we really got the 10 objects into the array 
  for (int i = 0; i < 10; i++) {
    cout << "Nested class at " << i << ": " << flush;
    cout << top->GetNested(i)->GetNested() << endl;
  }
}
