class ProcessFileDialog : public TGTransientFrame {
private:
  TString *inFilename, *outFilename;
  TGLayoutHints *topLeftLayout, *centerLayout, *bottomRightLayout;
  TGCompositeFrame *mainFrame, *buttonFrame;
  TGTab *configTab;
  TGTextButton *okButton, *cancelButton;

  // stuff for the input/output filename tab
  TGTextButton *inBrowseButton, *outBrowseButton;
  TGTextEntry *inFileText, *outFileText;
  TGCheckButton *splitTreeCheck;

public:
  ProcessFileDialog(const TGWindow *p, const TGWindow *main, UInt_t w, 
		    UInt_t h, UInt_t options = kMainFrame | kVerticalFrame);
  virtual ~ProcessFileDialog();
  virtual void CloseWindow();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
};

