#include "tuple.h"

#include <TRoot.h>
#include <TNtuple.h>
#include <TFile.h>

TROOT root("root","tup");

TFile*   p_file;
TNtuple* p_tuple;

Tuple::Tuple()
{
}

bool Tuple::OpenTuple(const char* p)
{
	p_file  = new TFile(p,"RECREATE","spike simulation run");
	p_tuple = new TNtuple("ntuple","events","in:out:time");

	return true;
}

void Tuple::CloseTuple()
{
	p_file->Write();
	p_file->Close();
	delete p_file;
}

void Tuple::AddEvent( int i, int j, float f)
{
	p_tuple->Fill((float)i,(float)j,f);
}
