#ifndef _EXR05STARHIT_H_
#define _EXR05STARHIT_H_

#include "TTable.h"
#include "Ttypes.h"
typedef struct
{   
  float xyz[3];   // position of hit [cm].
  float energy;   // Energy deposited by hit.
} hit_t; 

class ExR05StarHit : public TTable
{
public:
    ClassDefTable(ExR05StarHit,hit_t)
    ClassDef(ExR05StarHit,1) //C++ wrapper for <ubc> StAF table
};
#endif 


